Events
Get an Event
Consulta um event.
curl -X GET "https://api.chargefy.io/v1/events/evt_123" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "evt_123",
"object": "event",
"created_at": "2026-05-27T14:09:27Z",
"data": {
"object": {
"id": "cus_123",
"object": "customer",
"created_at": "2026-05-27T14:09:20Z",
"email": "ana@example.com",
"livemode": true,
"metadata": {},
"name": "Ana Souza"
},
"previous_attributes": {
"name": "Ana"
}
},
"livemode": true,
"organization": "org_123",
"request": {
"id": "req_123"
},
"type": "customer.updated"
}
Consulta um
event pelo ID. Events ficam disponíveis por 30 dias; após esse
período a consulta retorna 404.
ID do event (
evt_*).curl -X GET "https://api.chargefy.io/v1/events/evt_123" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "evt_123",
"object": "event",
"created_at": "2026-05-27T14:09:27Z",
"data": {
"object": {
"id": "cus_123",
"object": "customer",
"created_at": "2026-05-27T14:09:20Z",
"email": "ana@example.com",
"livemode": true,
"metadata": {},
"name": "Ana Souza"
},
"previous_attributes": {
"name": "Ana"
}
},
"livemode": true,
"organization": "org_123",
"request": {
"id": "req_123"
},
"type": "customer.updated"
}
⌘I
curl -X GET "https://api.chargefy.io/v1/events/evt_123" \
-H "Authorization: Bearer {{API_KEY}}"
{
"id": "evt_123",
"object": "event",
"created_at": "2026-05-27T14:09:27Z",
"data": {
"object": {
"id": "cus_123",
"object": "customer",
"created_at": "2026-05-27T14:09:20Z",
"email": "ana@example.com",
"livemode": true,
"metadata": {},
"name": "Ana Souza"
},
"previous_attributes": {
"name": "Ana"
}
},
"livemode": true,
"organization": "org_123",
"request": {
"id": "req_123"
},
"type": "customer.updated"
}

